> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/es/recursos-para-desarrolladores/api-docs/vector-store/get-vector-stores-information.md).

# Obtener información del almacén de vectores

{% openapi src="/files/5V7ybptH1vsfKadO6dio" path="/vector-stores/me" method="get" %}
[rememberizer\_openapi.yml](https://983989491-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FeFTiuIsKOMpUEE73g7bP%2Fuploads%2Fgit-blob-77b6137eeb641262ec8e531c78123c02b825b865%2Frememberizer_openapi.yml?alt=media\&token=03079f98-60fe-4914-9e1b-443e008fd108)
{% endopenapi %}

## Ejemplos de Solicitudes

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET \
  https://api.rememberizer.ai/api/v1/vector-stores/me \
  -H "x-api-key: YOUR_API_KEY"
```

{% hint style="info" %}
Reemplace `YOUR_API_KEY` con su clave API real de Vector Store.
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const getVectorStoreInfo = async () => {
  const response = await fetch('https://api.rememberizer.ai/api/v1/vector-stores/me', {
    method: 'GET',
    headers: {
      'x-api-key': 'YOUR_API_KEY'
    }
  });
  
  const data = await response.json();
  console.log(data);
};

getVectorStoreInfo();
```

{% hint style="info" %}
Reemplace `YOUR_API_KEY` con su clave API real de Vector Store.
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests

def get_vector_store_info():
    headers = {
        "x-api-key": "YOUR_API_KEY"
    }
    
    response = requests.get(
        "https://api.rememberizer.ai/api/v1/vector-stores/me",
        headers=headers
    )
    
    data = response.json()
    print(data)

get_vector_store_info()
```

{% hint style="info" %}
Reemplace `YOUR_API_KEY` con su clave API real de Vector Store.
{% endhint %}
{% endtab %}
{% endtabs %}

## Formato de Respuesta

```json
{
  "id": "vs_abc123",
  "name": "Mi Almacén de Vectores",
  "description": "Un almacén de vectores para la documentación del producto",
  "embedding_model": "sentence-transformers/all-mpnet-base-v2",
  "indexing_algorithm": "ivfflat",
  "vector_dimension": 128,
  "search_metric": "cosine_distance",
  "created": "2023-06-01T10:30:00Z",
  "modified": "2023-06-15T14:45:00Z"
}
```

## Autenticación

Este endpoint requiere autenticación utilizando una clave API en el encabezado `x-api-key`.

## Respuestas de Error

| Código de Estado | Descripción                                       |
| ---------------- | ------------------------------------------------- |
| 401              | No Autorizado - Clave API inválida o faltante     |
| 404              | No Encontrado - Almacén de Vectores no encontrado |
| 500              | Error Interno del Servidor                        |

Este endpoint recupera información sobre el almacén de vectores asociado con la clave API proporcionada. Es útil para verificar los detalles de configuración, incluyendo el modelo de incrustación, la dimensionalidad y la métrica de búsqueda que se está utilizando. Esta información puede ser valiosa para optimizar las consultas de búsqueda y comprender las capacidades del almacén de vectores.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/es/recursos-para-desarrolladores/api-docs/vector-store/get-vector-stores-information.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
